# ezQuake Manual: Unassigned Variables

##

### Description

Controls a short burst of screen tinting on various events. Variables to look at are: gl_cshiftpercent (controls overall palette shifting) v_damagechisft v_quadcshift v_pentcshift v_ringcshift v_suitcshift.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

### Values

value | description
1 |
0 |

## cl_cmdline

### Description

Read-only variable showing you what were the commandline options used to launch the client

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: ./ezquake-gl.glx

Variable is string.

## cl_curlybraces

### Description

Enables new syntax to be used for Quake scripting allowing you to enclose commands into curly braces

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

### Values

value | description
1 |
0 |

See scripting manual for further info

## cl_warncmd

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Enable the uknown command messages.
0 | Disable the unknown command messages.

Note: Not saved to config with cfg_save command.

## developer

### Description

Enables debug mode which prints more messages into the console than for normal user

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 |
0 |

## enemycolor

This variable has been deleted

### Description

Set the enemies top- and bottomcolor

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

### Values

value | description
-1 | The color of enemies depends on theirs /color settings.
0 | Light-gray color

If you use one parameter, client will set that color for both top and bottom color. If you use two parameters, first goes for top color and the second for bottom color.

## fs_cache

### Description

Enables Quake File System caching of files lists

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

### Values

value | description
1 |
0 |

## gl_anisotropic

This variable has been deleted

### Description

Anisotropic Filtering.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is string.

Check your VGA card desctiption / drivers for supported levels and what number they have.

## gl_strings

### Description

Read-only variable with info about your OpenGL renderer

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is string.

## in_builtinkeymap

### Description

Allows you tu use old Quake keyboard mapping

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

### Values

value | description
1 | Use Quake keyboard layout
0 | Use your operating system keyboard layout

## mapname

### Description

Contains the name of the current map

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is string.

## password

### Description

Password players have to use to connect to local server

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is string.

Server-side

## qport

### Description

Local port the client uses to connect to servers

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 33200

Variable is integer.

## rcon_address

### Description

Address of the server to query with remote console commands

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is string.

## rcon_password

### Description

Password used for remote console communication

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is string.

## ruleset

### Description

Enforces a set of restrictions on the client features

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

### Values

value | description

Most commonly used is \"smackdown\"

## spectator_password

### Description

A password spectators must use to connect to local server

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is string.

## sv_aim

### Description

Sets the value for auto-aiming leniency.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## s_other_file

This variable has been renamed to s_otherchat_file

### Description

You can specify notification sound for other messages (than messagemode, messagemode2 and from spectators).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## s_volume

### Description

Sets sound volume.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

Even higher values than 1 are possible, but sound usually gets faithless with them.

## teamcolor

This variable has been deleted

### Description

Set the teammates top- and bottomcolor.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

### Values

value | description
-1 | The color pf teammates depends on theirs /color settings.
0 | Light-gray color

## timeout

This variable has been renamed to sv_timeout

### Description

Sets the amount of time in seconds before a client is considered disconnected if the server does not receive a packet.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## userdir

### Description

userdir [dir [type]] Addition of the given directory to the list searched files

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

### Values

value | description
0 | <quake_dir>/<gamedir>/<dir>
1 | <quake_dir>/<dir>/<gamedir>
2 | <quake_dir>/qw/<dir>/<gamedir>
3 | <quake_dir>/qw/<dir>
4 | <quake_dir>/<dir>
5 | $HOME/qw/<dir>

## zombietime

### Description

The number of minutes that the server will keep the character of a player on the map who seems to have disconnected.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs